Subject: Re: [PATCH net 0/5] ethernet: 3c509: Bring driver back and make some fixes

From: David Laight <[email-masked]>
Date: Thu, 21 May 2026 22:55:35 +0100

On Thu, 21 May 2026 18:49:52 +0100 (BST)
"Maciej W. Rozycki" <[email-masked]> wrote:

> On Thu, 21 May 2026, David Laight wrote:
> 
> > >  NB as I point out in the cover letter I made sure there's been no change 
> > > to binary code produced, so I expect no fallout, and as we discussed with 
> > > Jakub the removal of the driver broke `git blame' anyway, so there should 
> > > be no cost associated with the cleanup.  
> > 
> > Can 'we' make sure that the commit that re-instates it has the git tag of the
> > old version in the commit message.
> > That lets people go back across the remove-add.  
> 
>  It has all the usual `git revert' stuff.  Have you anything else in mind?

Not sure :-)
But you were suggesting it would break 'blame'.
I know a 'delete' then 'add' gives serious grief.

-- David

>   Maciej